import { Program } from 'typescript';
/**
 * Resolve some globs into discrete files, matching a set of extensions
 * @param globs Globs to search
 * @param extensions Extensions of paths to retain
 */
export declare function globsToPaths(globs: string[], extensions?: string[]): Promise<string[]>;
/**
 * Find the path to an appropriate TSConfig, given a search path
 * @param filePath path to search
 */
export declare function tsConfigForPath(filePath: string): string | undefined;
/**
 * Create a typescript program, given a search path
 * @param searchPath Search path to use when looking for a typescript configuration
 */
export declare function createProgramFromTsConfig(searchPath: string): Promise<Program>;
/**
 * Create a typescript program from globs that describe entry files
 * @param globs Globs that specify one or more entries
 */
export declare function createProgramFromEntries(globs: string[]): Promise<Program>;
//# sourceMappingURL=command-utils.d.ts.map